<template>
  <div :class="['ps-title', size]" :style="`background: ${backgroundColor}`">
    <div class="ps-title--conent">
      <label>{{ title }}</label>
      <p>{{ conent }}</p>
      <slot name="clickable"></slot>
    </div>
    <div class="ps-title--fuc">
      <slot></slot>
    </div>
  </div>
</template>

<script>
export default {
  name: "PsTitle",
  props: {
    title: {
      type: String,
      default: null,
    },

    conent: {
      type: String,
      default: null,
    },
    size: {
      type: String,
      default: "large",
    },
    backgroundColor: {
      type: String,
      default: null,
    },
  },
  data() {
    return {};
  },
  created() {},
  mounted() {},
  methods: {},
};
</script>

<style>
</style>
